# Changelog

## **2026-07-13**
- Introducing Tenancies to manage organizations. Usage of Api Key now requires additional header `x-rockit-tenant`.
- `POST /be/v1/apps`
    - body parameter `nProcessTracesMin` is deprecate. Please use `sessionQueueSize`
    - body parameter `nTracesReliable` is deprecate. Please use `minTraces`

## **2026-01-26**

- `POST /be/v1/roles` has a new required required request body field `activities` controlling the new history resource access.
- Added new field `results` to Tasks if available.
- Changed the webhook subscription payload for the `deploy` task.

## **2025-11-04**

- Fixes in API documentation
- Improved stability

## **2025-10-15**

- New user management:
    - Backend and frontend users have been combined. There are only instance-wide cross-organization ROCKITPLAY users now. Hence, the resource `beUsers` is now referred to as `users`. This affects most `/be/v1//roles` endpoints. 
    - Users are invited by email when created (`POST /adm/v1/orgs` or `POST /be/v1/users`). Passwords are now entirely controlled by the users and not by the ROCKITPLAY organization admin anymore.
    - Invitation emails can be re-send using `PATCH /be/v1/users` with `{sendInvitation:true}`
    - User's can trigger a password reset using the new endpoint `POST /be/v1/resetpw`.
- Improved stability

## 2025-05-08
Introducing Roles for managing permissions for user.

### Modified Endpoints

`POST /be/v1/users`
- fixed response schema

`POST /be/v1/deployments`
- added information about supported AWS S3 origins

`PATCH /be/v1/deployments`
- added information about request header parameters `hostname`, `location`, `bucket`, and `prefix` for AWS S3

`POST /be/v1/subscriptions`
- removed `success` event
- added events `end` and `exception`


### Added Endpoints

`GET /be/v1/keys`
- List available access keys

`GET /be/v1/trainings`
- Returns current training statistics information


## **2025-05-08**
Introducing [Roles](https://edge.api.cloud.rockitplay.com/roles-3618377f0.md) for managing permissions for user.
### Modified Endpoints
[`PATCH /be/v1/apps`](https://edge.api.cloud.rockitplay.com/patch-app-13880924e0.md)<br/>No longer supports the following params:
-   `nTracesReliable`
-   `minCoverage`
-   `maxCoverage`
-   `minTraceTimeSec`
-   `nProcessTracesMin`
-   `uploadTrace`

[`POST /be/v1/users`](https://edge.api.cloud.rockitplay.com/create-user-create-machine-user-16603181e0.md)<br/>Now supports creation of user with roles. It still supports the creation of machine user.

### Added Endpoints
[`GET /be/v1/users`](https://edge.api.cloud.rockitplay.com/get-user-details-15070687e0.md)
[`GET /be/v1/users/{username}`](https://edge.api.cloud.rockitplay.com/get-user-details-15070687e0.md)
[`PATCH /be/v1/users`](https://edge.api.cloud.rockitplay.com/modify-user-15071473e0.md)
[`DELETE /be/v1/users`](https://edge.api.cloud.rockitplay.com/delete-users-11634344e0.md)
[`POST /be/v1/User`](https://edge.api.cloud.rockitplay.com/create-role-16569598e0.md)
[`GET /be/v1/roles/{username}`](https://edge.api.cloud.rockitplay.com/role-details-16569594e0.md)
[`GET /be/v1/roles`](https://edge.api.cloud.rockitplay.com/list-roles-16569595e0.md)
[`PATCH /be/v1/roles`](https://edge.api.cloud.rockitplay.com/patch-role-16569733e0.md)
[`DELETE /be/v1/roles`](https://edge.api.cloud.rockitplay.com/delete-roles-16569592e0.md)



## **2025-04-24**
### Modified Endpoints
- [`PATCH /be/v1/Tasks`](https://edge.api.cloud.rockitplay.com/acknowledge-warning-expire-task-13268279e0.md)<br/>Added the ability to expire upload tasks by using the optional body parameter `expire`.

### Removed Endpoints
- `POST /adm/v1/initialize`<br/>From now on the initialization will be invoked automatically by the service and there is no need to invoke it manually anymore.


## **2025-03-11**
### Modified Endpoints

- [`POST /be/v1/apps`](https://edge.api.cloud.rockitplay.com/creating-apps-11634354e0.md)<br/>Removed body parameter needed only for Rockit-Streaminstaller. Removed parameters are:`exePath` and `shortcut`.

- [`PAT /be/v1/apps`](https://edge.api.cloud.rockitplay.com/patch-app-13880924e0.md)<br/>Removed body parameter needed only for Rockit-Streaminstaller. Removed parameters are:`exePath` and `shortcut`.

## **2025-02-19**
### Modified Endpoints

- [`POST /be/v1/deployments`](https://edge.api.cloud.rockitplay.com/creating-deployments-11747958e0.md)<br/>Updated behavior: Import requests (`POST /builds`) now always publish on a depot. If an app is registered with a deployment, it will also be deployed there.
- [`GET /be/v1/apps`](https://edge.api.cloud.rockitplay.com/list-apps-13039645e0.md)<br/>Updated error state handling: If an app deployment fails, it will now be marked as error instead of remaining in processing.
Added error query parameter to filter apps in an error state.
- [`PATCH /be/v1/deployments`](https://edge.api.cloud.rockitplay.com/modify-deployment-11695719e0.md)<br/>Updated deployment credential handling: If credentials were incorrect, updating them now allows Retry Task to reattempt failed tasks.
- [`GET /be/v1/tasks`](https://edge.api.cloud.rockitplay.com/listing-tasks-11779680e0.md)<br/>Introduced detailed failure indicators for debugging import errors.
If an import fails due to an incorrect URL, wrong sizeBytes, or an invalid tarball, you can now inspect `GET /tasks/{taskId}` for potential exceptions and errors. 
- [`POST /be/v1/trigger`](https://edge.api.cloud.rockitplay.com/retry-task-12373263e0.md)<br/>Retry is now only possible after fixing the cause of failure.

### Added Endpoints
[`POST /be/v1/orgs`](https://edge.api.cloud.rockitplay.com/create-organization-11591049e0.md)<br/>Introducing a backend variant of creating organizations.
[`DELETE /be/v1/orgs`](https://edge.api.cloud.rockitplay.com/delete-organization-11591050e0.md)<br/>Introducing a backend variant of deleting organizations.
[`POST /be/v1/trigger`](https://edge.api.cloud.rockitplay.com/process-traces-12373257e0.md)<br/>This endpoint initializes the processing of collected traces.
[`PATCH /be/v1/tasks/acknowledge-warning`](https://edge.api.cloud.rockitplay.com/acknowledge-warning-expire-task-13268279e0.md)<br/>Endpoint to acknowledge warnings.
[`POST /be/v1/subscriptions`](https://edge.api.cloud.rockitplay.com/subscribe-14052754e0.md)<br/>This endpoint can be used to subscribe your webservice or slack channel to events emitted from the ROCKIT Edge.
[`DELETE /be/v1/subscriptions/{{subscriptionName}}`](https://edge.api.cloud.rockitplay.com/unsubscribe-14052807e0.md)<br/>This endpoint can be used to un-subscribe your webservice or slack channel from events emitted from the ROCKIT Edge.
[`GET /be/v1/subscriptions`](https://edge.api.cloud.rockitplay.com/list-subscriptions-14052806e0.md)<br/>This endpoint can be used to list all the Organization's subscriptions of events on the ROCKIT Edge.

## **2025-01-15**
### Modified Endpoints
- `DELETE /adm/v1/orgs` <Icon icon="material-outline-arrow_right_alt"/>
[`DELETE /adm/v1/orgs/{ORG_NAME}`](https://edge.api.cloud.rockitplay.com/delete-organization-11591050e0.md) <br/> Modified: Request body parameters are now path and/or query parameter
- `DELETE /be/v1/users` <Icon icon="material-outline-arrow_right_alt"/> [`DELETE /be/v1/users/{USER_NAME}`](https://edge.api.cloud.rockitplay.com/delete-users-11634344e0.md)<br/> Modified: Request body parameters are now path and/or query parameter
- `DELETE /be/v1/deployments` <Icon icon="material-outline-arrow_right_alt"/> [`DELETE /be/v1/deployments/{DEPLOYMENT_NAME}`](https://edge.api.cloud.rockitplay.com/deleting-deployments-11634351e0.md)<br/> Modified: Request body parameters are now path and/or query parameter
- `DELETE /be/v1/apps` <Icon icon="material-outline-arrow_right_alt"/> [`DELETE /be/v1/apps/{appname}`](https://edge.api.cloud.rockitplay.com/delete-apps-11634364e0.md)<br/> Modified: Request body parameters are now path and/or query parameter
- [`GET /be/v1/apps`](https://edge.api.cloud.rockitplay.com/list-apps-13039645e0.md)<br/>Introduced pagination with `offset` and `limit` query parameters. Added support for filtering via `name`, `processing`, and `exporting` query parameters. Sorting is now supported via the `order` query parameter. Order supports sorting by the following fields: `name`, `label`, `created`, `updated`
- [`GET /be/v1/apps/{APP_NAME}`](https://edge.api.cloud.rockitplay.com/app-details-11779561e0.md)<br/> Supports query parameter fields to selectively retrieve specific fields of an app. The available fields are:`name`, `label`, `iCurBuild`, `maxBuilds`, `processing`, `exporting`, `sizeBytes`, `created`, `updated`, `deployed`, `dxfName`, `files`, `shortcut`, `appDataPath`, `execPath`, `nKeys`, `nTraces`
- [`GET /be/v1/tasks`](https://edge.api.cloud.rockitplay.com/listing-tasks-11779680e0.md)<br/> Introduced pagination with `offset` and `limit` query parameters. Added support for filtering via the following query parameters: `appName`, `taskTypes`, `status`, `created`, `order`

### Added Endpoints

[`GET /be/v1/deployments`](https://edge.api.cloud.rockitplay.com/get-deployments-12670904e0.md)<br/> New Endpoint introduced with pagination (`offset` and `limit` query parameters). Support for filtering via `error` query parameter. Sorting is supported via the `order` query parameter. Order supports the field `name`.

[`GET /be/v1/deployments/{DEPLOYMENT_NAME}`](https://edge.api.cloud.rockitplay.com/get-deployment-details-12672792e0.md)<br/> Response to include details based on deployment configurations.
